<!--
  Copyright (c) 2015 Qualcomm Technologies, Inc.
  All Rights Reserved.
  Confidential and Proprietary - Qualcomm Technologies, Inc.
-->

<!--
CommonChromatixInfo:
	CommonChromatixInfo is the information about chromatix needed for
		various use cases.
	Ex:- Preview, Snapshot, ZSL, HFR, HDR, Video, Liveshot for ISP, CPP,
		3A and SW PostProc.
	Entries in this node are common for all sensor modes.

ResolutionChromatixInfo:
	ResolutionChromatixInfo is the information about chromatix needed for
		various use cases.
	Ex:- Preview, Snapshot, ZSL, HFR, HDR, Video, Liveshot for ISP, CPP,
		3A and SW PostProc.
	Entries in this node are specific to sensor resolution.

ChromatixName:
	Contains the list of chromatix names for all modules.
	special_mode_mask:
		It is the bit mask for special modes, which is used for
			chromatix selection.
		Special modes can be any mode that needs a special chromatix.
		Ex:- scene mode, DZOOM mode, OIS capture mode, flash mode
		This is applicable for CommonChromatixInfo and
			ResolutionChromatixInfo.
		special_mode_mask="0" means none of the special modes are
			selected.
	sensor_resolution_index:
		It is the sensor resolution index for which chromatix libraries
			will be choosen.
		It is applicable only in ResolutionChromatixInfo.

ISPCommon :
	Common tuning library name for ISP
ISPPreview :
	Preview tuning library name for ISP
ISPSnapshot :
	Snapshot tuning library name for ISP
CPPCommon :
	Common tuning library name for CPP
CPPPreview :
	Preview tuning library name for CPP
CPPSnapshot :
	Snapshot tuning library name for CPP
CPPLiveshot :
	Liveshot tuning library name for CPP
PostProc :
	Tuning library name for postproc module
A3Preview :
	Preview tuning library for 3A
A3Video :
	Video tuning library for 3A

Order of Resolution Pick:
	Assume the current sensor mode is "r" and special mode mask is "s".
	Chromatix for a module and type is choosen in this order till we find a
		valid chroamtix file name or else NULL is returned.
	1) From ResolutionChromatixInfo node for which sensor_resolution_index
		is "r" and special_mode_mask is "s".
	2) From CommonChromatixInfo node for which special_mode_mask is "s".
	3) From ResolutionChromatixInfo node for which sensor_resolution_index
		is "r" and special_mode_mask is "0".
	4) From CommonChromatixInfo node for which special_mode_mask is "0".
	5) NULL is returned if we dont find in any of the above cases.

special_mode_mask values:
	SENSOR_SPECIAL_MODE_NONE = 0,
	SENSOR_SPECIAL_MODE_FLASH = 1,
	SENSOR_SPECIAL_MODE_ZOOM_UPSCALE = 2,
	SENSOR_SPECIAL_MODE_ZOOM_DOWNSCALE = 4,
	SENSOR_SPECIAL_MODE_OIS_CAPTURE = 8,
-->

<ChromatixConfigurationRoot>
  <CommonChromatixInfo>
    <ChromatixName>
      <ISPPreview>imx376_ofilm_preview_isp</ISPPreview>
      <ISPSnapshot>imx376_ofilm_preview_isp</ISPSnapshot>
      <ISPVideo>imx376_ofilm_preview_isp</ISPVideo>
      <CPPVideo>imx376_ofilm_video_cpp</CPPVideo>
      <CPPPreview>imx376_ofilm_preview_cpp</CPPPreview>
      <CPPSnapshot>imx376_ofilm_snapshot_cpp</CPPSnapshot>
      <ISPCommon>imx376_ofilm_common</ISPCommon>
      <PostProc>imx376_ofilm_postproc</PostProc>
      <CPPLiveshot>imx376_ofilm_snapshot_cpp</CPPLiveshot>
      <A3Preview>imx376_ofilm_res1_preview_3a</A3Preview>
      <A3Video>imx376_ofilm_res1_video_3a</A3Video>
    </ChromatixName>
  </CommonChromatixInfo>
  <ResolutionChromatixInfo>
    <ChromatixName sensor_resolution_index="0">
      <ISPPreview>imx376_ofilm_res0_snapshot_isp</ISPPreview>
      <ISPSnapshot>imx376_ofilm_res0_snapshot_isp</ISPSnapshot>
      <A3Preview>imx376_ofilm_res0_preview_3a</A3Preview>
      <CPPSnapshot>imx376_ofilm_res0_snapshot_cpp</CPPSnapshot>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="1">
      <A3Preview>imx376_ofilm_res1_preview_3a</A3Preview>
      <A3Video>imx376_ofilm_res1_video_3a</A3Video>
      <CPPMultiframe>imx376_ofilm_res1_snapshot_multiframe_cpp</CPPMultiframe>
    </ChromatixName>
  </ResolutionChromatixInfo>
</ChromatixConfigurationRoot>

